.modal {
    display: flex;
    align-items: flex-start;

    position: fixed;
    top: 0;
    left: 0;
    height: 100vh;
    width: 100%;
	z-index: 999;

    background: $default_transparent;
    overflow-y: auto;
    cursor: pointer;

    &__container {
		display: flex;
		justify-content: center;
		flex-direction: column;

        cursor: default;
        padding: 50px;
        background-color: white;
        margin: 100px auto;
        border-radius: 10px;
        max-width: 550px;
        flex: 1 1 100%;
        position: relative;
    }

	&__header {
		display: flex;
		align-items: center;

		&-icon {
			font-size: 1.2rem;
			height: 35px;
			flex: 0 0 35px;
			line-height: 35px;
			text-align: center;
			border-radius: 50%;
			background: $light_default_color;
			color: $default_color;
			margin-right: 15px;
		}

		&-title {
			flex: 1 0 auto;
			margin-bottom: 0px;
		}
	}

    &__content {
        margin: 30px 0px 50px;
    }

    &__footer {
        display: flex;

		.button {
			width: 100%;
		}

        &[right] {
            align-items: center;
            justify-content: flex-end;

            .button {
				width: max-content;
                margin-left: 30px
            }
        }

        &[center] {
            align-items: center;
            justify-content: center;

            .button {
				width: max-content;
                margin-left: 30px
            }
        }
    }
}
